using System;
using System.ComponentModel.DataAnnotations;

namespace Entities.DTO
{
    public class UpdateClassDto
    {
        [Required(ErrorMessage = "班级ID是必填项。")]
        public Guid ClassId { get; set; }

        [Required(ErrorMessage = "年级ID是必填项。")]
        public Guid GradeId { get; set; }

        [Required(ErrorMessage = "班级名称是必填项。")]
        [StringLength(30, ErrorMessage = "班级名称不能超过 30 个字符。")]
        public string ClassName { get; set; }

        public Guid? HeadTeacherId { get; set; }
    }
}
